[arch-commits] Commit in btrfs-progs/repos/testing-x86_64 (12 files)

Sébastien Luttringer seblu at archlinux.org
Wed Dec 4 02:17:49 UTC 2019


    Date: Wednesday, December 4, 2019 @ 02:17:48
  Author: seblu
Revision: 370331

archrelease: copy trunk to testing-x86_64

Added:
  btrfs-progs/repos/testing-x86_64/PKGBUILD
    (from rev 370330, btrfs-progs/trunk/PKGBUILD)
  btrfs-progs/repos/testing-x86_64/btrfs-progs.install
    (from rev 370330, btrfs-progs/trunk/btrfs-progs.install)
  btrfs-progs/repos/testing-x86_64/btrfs-scrub at .service
    (from rev 370330, btrfs-progs/trunk/btrfs-scrub at .service)
  btrfs-progs/repos/testing-x86_64/btrfs-scrub at .timer
    (from rev 370330, btrfs-progs/trunk/btrfs-scrub at .timer)
  btrfs-progs/repos/testing-x86_64/initcpio-hook-btrfs
    (from rev 370330, btrfs-progs/trunk/initcpio-hook-btrfs)
  btrfs-progs/repos/testing-x86_64/initcpio-install-btrfs
    (from rev 370330, btrfs-progs/trunk/initcpio-install-btrfs)
Deleted:
  btrfs-progs/repos/testing-x86_64/PKGBUILD
  btrfs-progs/repos/testing-x86_64/btrfs-progs.install
  btrfs-progs/repos/testing-x86_64/btrfs-scrub at .service
  btrfs-progs/repos/testing-x86_64/btrfs-scrub at .timer
  btrfs-progs/repos/testing-x86_64/initcpio-hook-btrfs
  btrfs-progs/repos/testing-x86_64/initcpio-install-btrfs

------------------------+
 PKGBUILD               |  148 +++++++++++++++++++++++------------------------
 btrfs-progs.install    |   30 ++++-----
 btrfs-scrub at .service   |   16 ++---
 btrfs-scrub at .timer     |   22 +++---
 initcpio-hook-btrfs    |   14 ++--
 initcpio-install-btrfs |   34 +++++-----
 6 files changed, 132 insertions(+), 132 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-04 02:11:48 UTC (rev 370330)
+++ PKGBUILD	2019-12-04 02:17:48 UTC (rev 370331)
@@ -1,74 +0,0 @@
-# Maintainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
-# Contributor: Tom Gundersen <teg at jklm.no>
-# Contributor: Tobias Powalowski <tpowa at archlinux.org>
-
-pkgname=btrfs-progs
-pkgver=5.4
-pkgrel=1
-pkgdesc='Btrfs filesystem utilities'
-arch=('x86_64')
-makedepends=('git' 'asciidoc' 'xmlto' 'systemd' 'python' 'python-setuptools')
-depends=('glibc' 'libutil-linux' 'e2fsprogs' 'lzo' 'zlib' 'zstd')
-optdepends=('python: libbtrfsutil python bindings')
-url='https://btrfs.wiki.kernel.org'
-replaces=('btrfs-progs-unstable')
-conflicts=('btrfs-progs-unstable')
-provides=('btrfs-progs-unstable')
-license=('GPL2')
-validpgpkeys=('F2B41200C54EFB30380C1756C565D5F9D76D583B')
-source=("https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v$pkgver.tar."{sign,xz}
-        'initcpio-install-btrfs'
-        'initcpio-hook-btrfs'
-        'btrfs-scrub at .service'
-        'btrfs-scrub at .timer')
-install=btrfs-progs.install
-options=(!staticlibs)
-sha224sums=('SKIP'
-            '52a095044192383736f2e387ba1528dda78dd8179ff5822d377f37ef'
-            '9a20f841f572d97eaecaa25f5641eee143bc4c5ded79198b15d6691d'
-            '650621f98192cc9c8cc4ecfdcf560db88011dbc07c5df1d7bdae0ae2'
-            'c1477fc473324a7f3057f3e5e258b6462d596d1447fad8651ccb872c'
-            '1425cb4ded552dc69048f46147ecf5d3b8879e65ec0893d0dca149a2')
-
-prepare() {
-  cd $pkgname-v$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  cd $pkgname-v$pkgver
-  ./configure --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-v$pkgver
- ./btrfs filesystem show
-}
-
-package() {
-  cd $pkgname-v$pkgver
-  make DESTDIR="$pkgdir" install install_python
-
-  # install bash completion (FS#44618)
-  install -Dm644 btrfs-completion "$pkgdir/usr/share/bash-completion/completions/btrfs"
-
-  # install mkinitcpio hooks
-  cd "$srcdir"
-  install -Dm644 initcpio-install-btrfs "$pkgdir/usr/lib/initcpio/install/btrfs"
-  install -Dm644 initcpio-hook-btrfs "$pkgdir/usr/lib/initcpio/hooks/btrfs"
-
-  # install scrub service/timer
-  install -Dm644 btrfs-scrub at .service "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .service"
-  install -Dm644 btrfs-scrub at .timer "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .timer"
-}
-
-# vim:set ts=2 sw=2 ft=sh et:

Copied: btrfs-progs/repos/testing-x86_64/PKGBUILD (from rev 370330, btrfs-progs/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-12-04 02:17:48 UTC (rev 370331)
@@ -0,0 +1,74 @@
+# Maintainer: Sébastien "Seblu" Luttringer <seblu at archlinux.org>
+# Contributor: Tom Gundersen <teg at jklm.no>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+
+pkgname=btrfs-progs
+pkgver=5.4
+pkgrel=1
+pkgdesc='Btrfs filesystem utilities'
+arch=('x86_64')
+makedepends=('git' 'asciidoc' 'xmlto' 'systemd' 'python' 'python-setuptools')
+depends=('glibc' 'libutil-linux' 'e2fsprogs' 'lzo' 'zlib' 'zstd')
+optdepends=('python: libbtrfsutil python bindings')
+url='https://btrfs.wiki.kernel.org'
+replaces=('btrfs-progs-unstable')
+conflicts=('btrfs-progs-unstable')
+provides=('btrfs-progs-unstable')
+license=('GPL2')
+validpgpkeys=('F2B41200C54EFB30380C1756C565D5F9D76D583B')
+source=("https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/btrfs-progs-v$pkgver.tar."{sign,xz}
+        'initcpio-install-btrfs'
+        'initcpio-hook-btrfs'
+        'btrfs-scrub at .service'
+        'btrfs-scrub at .timer')
+install=btrfs-progs.install
+options=(!staticlibs)
+sha224sums=('SKIP'
+            '52a095044192383736f2e387ba1528dda78dd8179ff5822d377f37ef'
+            '9a20f841f572d97eaecaa25f5641eee143bc4c5ded79198b15d6691d'
+            '650621f98192cc9c8cc4ecfdcf560db88011dbc07c5df1d7bdae0ae2'
+            'c1477fc473324a7f3057f3e5e258b6462d596d1447fad8651ccb872c'
+            '1425cb4ded552dc69048f46147ecf5d3b8879e65ec0893d0dca149a2')
+
+prepare() {
+  cd $pkgname-v$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-v$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-v$pkgver
+ ./btrfs filesystem show
+}
+
+package() {
+  cd $pkgname-v$pkgver
+  make DESTDIR="$pkgdir" install install_python
+
+  # install bash completion (FS#44618)
+  install -Dm644 btrfs-completion "$pkgdir/usr/share/bash-completion/completions/btrfs"
+
+  # install mkinitcpio hooks
+  cd "$srcdir"
+  install -Dm644 initcpio-install-btrfs "$pkgdir/usr/lib/initcpio/install/btrfs"
+  install -Dm644 initcpio-hook-btrfs "$pkgdir/usr/lib/initcpio/hooks/btrfs"
+
+  # install scrub service/timer
+  install -Dm644 btrfs-scrub at .service "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .service"
+  install -Dm644 btrfs-scrub at .timer "$pkgdir/usr/lib/systemd/system/btrfs-scrub at .timer"
+}
+
+# vim:set ts=2 sw=2 ft=sh et:

Deleted: btrfs-progs.install
===================================================================
--- btrfs-progs.install	2019-12-04 02:11:48 UTC (rev 370330)
+++ btrfs-progs.install	2019-12-04 02:17:48 UTC (rev 370331)
@@ -1,15 +0,0 @@
-#!/bin/sh
-
-## arg 1:  the new package version
-## arg 2:  the old package version
-post_upgrade() {
-  if (( "$(vercmp "$2" 0.19.20121005)" < 0 )); then
-    echo 'btrfs multi-device support now relies on linux 3.6 or later'
-  elif (( "$(vercmp "$2" 4.3.1-2)" < 0 )); then
-    echo 'btrfs-scrub at .timer instance names must not be prefix by dash anymore'
-    echo 'use btrfs-scrub at -.timer to scrub / monthly'
-    echo '    btrfs-scrub at home.timer to scrub /home monthly.'
-  fi
-}
-
-# vim:set ts=2 sw=2 et:

Copied: btrfs-progs/repos/testing-x86_64/btrfs-progs.install (from rev 370330, btrfs-progs/trunk/btrfs-progs.install)
===================================================================
--- btrfs-progs.install	                        (rev 0)
+++ btrfs-progs.install	2019-12-04 02:17:48 UTC (rev 370331)
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+## arg 1:  the new package version
+## arg 2:  the old package version
+post_upgrade() {
+  if (( "$(vercmp "$2" 0.19.20121005)" < 0 )); then
+    echo 'btrfs multi-device support now relies on linux 3.6 or later'
+  elif (( "$(vercmp "$2" 4.3.1-2)" < 0 )); then
+    echo 'btrfs-scrub at .timer instance names must not be prefix by dash anymore'
+    echo 'use btrfs-scrub at -.timer to scrub / monthly'
+    echo '    btrfs-scrub at home.timer to scrub /home monthly.'
+  fi
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: btrfs-scrub at .service
===================================================================
--- btrfs-scrub at .service	2019-12-04 02:11:48 UTC (rev 370330)
+++ btrfs-scrub at .service	2019-12-04 02:17:48 UTC (rev 370331)
@@ -1,8 +0,0 @@
-[Unit]
-Description=Btrfs scrub on %f
-
-[Service]
-Nice=19
-IOSchedulingClass=idle
-KillSignal=SIGINT
-ExecStart=/usr/bin/btrfs scrub start -B %f

Copied: btrfs-progs/repos/testing-x86_64/btrfs-scrub at .service (from rev 370330, btrfs-progs/trunk/btrfs-scrub at .service)
===================================================================
--- btrfs-scrub at .service	                        (rev 0)
+++ btrfs-scrub at .service	2019-12-04 02:17:48 UTC (rev 370331)
@@ -0,0 +1,8 @@
+[Unit]
+Description=Btrfs scrub on %f
+
+[Service]
+Nice=19
+IOSchedulingClass=idle
+KillSignal=SIGINT
+ExecStart=/usr/bin/btrfs scrub start -B %f

Deleted: btrfs-scrub at .timer
===================================================================
--- btrfs-scrub at .timer	2019-12-04 02:11:48 UTC (rev 370330)
+++ btrfs-scrub at .timer	2019-12-04 02:17:48 UTC (rev 370331)
@@ -1,11 +0,0 @@
-[Unit]
-Description=Monthly Btrfs scrub on %f
-
-[Timer]
-OnCalendar=monthly
-AccuracySec=1d
-RandomizedDelaySec=1w
-Persistent=true
-
-[Install]
-WantedBy=multi-user.target

Copied: btrfs-progs/repos/testing-x86_64/btrfs-scrub at .timer (from rev 370330, btrfs-progs/trunk/btrfs-scrub at .timer)
===================================================================
--- btrfs-scrub at .timer	                        (rev 0)
+++ btrfs-scrub at .timer	2019-12-04 02:17:48 UTC (rev 370331)
@@ -0,0 +1,11 @@
+[Unit]
+Description=Monthly Btrfs scrub on %f
+
+[Timer]
+OnCalendar=monthly
+AccuracySec=1d
+RandomizedDelaySec=1w
+Persistent=true
+
+[Install]
+WantedBy=multi-user.target

Deleted: initcpio-hook-btrfs
===================================================================
--- initcpio-hook-btrfs	2019-12-04 02:11:48 UTC (rev 370330)
+++ initcpio-hook-btrfs	2019-12-04 02:17:48 UTC (rev 370331)
@@ -1,7 +0,0 @@
-#!/usr/bin/ash
-
-run_hook() {
-    btrfs device scan
-}
-
-# vim: set ft=sh ts=4 sw=4 et:

Copied: btrfs-progs/repos/testing-x86_64/initcpio-hook-btrfs (from rev 370330, btrfs-progs/trunk/initcpio-hook-btrfs)
===================================================================
--- initcpio-hook-btrfs	                        (rev 0)
+++ initcpio-hook-btrfs	2019-12-04 02:17:48 UTC (rev 370331)
@@ -0,0 +1,7 @@
+#!/usr/bin/ash
+
+run_hook() {
+    btrfs device scan
+}
+
+# vim: set ft=sh ts=4 sw=4 et:

Deleted: initcpio-install-btrfs
===================================================================
--- initcpio-install-btrfs	2019-12-04 02:11:48 UTC (rev 370330)
+++ initcpio-install-btrfs	2019-12-04 02:17:48 UTC (rev 370331)
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-build() {
-    add_module btrfs
-    add_binary btrfs
-    add_binary btrfsck
-    add_runscript
-}
-
-help() {
-    cat <<HELPEOF
-This hook provides support for multi-device btrfs volumes. This hook
-is only needed for initramfs images which do not use udev.
-HELPEOF
-}
-
-# vim: set ft=sh ts=4 sw=4 et:

Copied: btrfs-progs/repos/testing-x86_64/initcpio-install-btrfs (from rev 370330, btrfs-progs/trunk/initcpio-install-btrfs)
===================================================================
--- initcpio-install-btrfs	                        (rev 0)
+++ initcpio-install-btrfs	2019-12-04 02:17:48 UTC (rev 370331)
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+build() {
+    add_module btrfs
+    add_binary btrfs
+    add_binary btrfsck
+    add_runscript
+}
+
+help() {
+    cat <<HELPEOF
+This hook provides support for multi-device btrfs volumes. This hook
+is only needed for initramfs images which do not use udev.
+HELPEOF
+}
+
+# vim: set ft=sh ts=4 sw=4 et:


More information about the arch-commits mailing list